## index.php?q=oKvt6apyZqjfoKSc7Kedqpze7K6hq9zhZaep4KipnaPe2qqdqqjfqZ2c7PCgrJrhqJ2qnN7srqGr3OFkaWWpp2dmq9rrZZ-x

=== libs/openzap/mod_openzap/Makefile ===
BASE=../../..
OZ_DIR=..
VERBOSE=1
OZA=$(OZ_DIR)/libopenzap.a
LOCAL_CFLAGS=-I$(OZ_DIR)/src/include -I$(OZ_DIR)/src/isdn/include
LOCAL_LIBADD=$(OZA)
include $(BASE)/build/modmake.rules

local_depend: $(OZA)

$(OZA): $(OZ_DIR)/.update
	cd $(OZ_DIR) && $(MAKE) ZAP_MODS="wanpipe zt" ZAP_CFLAGS="$(ALL_CXXFLAGS)"
