=== src/mod/formats/mod_local_stream/Makefile ===
MODNAME=mod_local_stream
include ../../../../build/modmake.rules
