=== src/mod/xml_int/mod_xml_curl/Makefile ===
WANT_CURL=yes
include ../../../../build/modmake.rules
