=== debian/changelog ===
freeswitch (1.0.0-1) unstable; urgency=low

   * Enhanced sofia sip nat handling
   * Many fixes found by Klockwork (www.klocwork.com)
   * Added disable_app_log variable
   * Fixed mod_local_stream with rates on windows
   * Fixed finding of files in rate dirs on windows
   * Fixed memory corruption from sofia_contact function
   * Added sofia profile param NDLB-received-in-nat-reg-contact
   * Added sofia profile param aggressive-nat-detection
   * Fixed video sip calls in proxy media mode
   * Added bridge_terminate_key var
   * Update xmlrpc-c lib to trunk revision from upstream, fix windows xmlrpc
   * Enhanced nat handling in proxy media mode in sip
   * Add progress media to timetable so you can calculate pdd
   * Fixed seg when using unicast on socket when call has no read_codec
   * Fixed missed log events on busy box
   * Added -bleg to intercept
   * Enhance configure detection of python
   * Fixed build on solaris and freebsd for several modules
   * Added param "vm-email-only" to make voicemail sent by email only (previously default behavior)
   * Added param "vm-mailto-notify" to allow sending a notification email
   * Fixed mod_java build
   * Fixed mwi failures for some devices that don't subscribe
   * Removed fsapi functions (killchan, transfer, session_displace, reject)
   * Removed fsapi functions (session_record, broadcast, hold, media)
   * Many updates to sofia-sip library including over 100 fixes

 -- Michael Jerris <mike@jerris.com>  Tue, 27 May 2008 01:30:00 -0400

freeswitch (1.0~rc6-1) unstable; urgency=low

   * Changed to not allow pass_2833 on transcoded calls 
     (it never worked, now it will tell you)
   * Enhanced sofia sip nat handling
   * Fix libedit build on solaris
   * Fix session timers in mod_sofia
   * Fix conference fire-call
   * Change: add var_event down into the endpoints so chans 
     with no parents can still pass options
   * Added enable-post-var param to xml_rpc
   * Fix mod_lua build on solaris
   * Many fixes found by Klockwork (www.klocwork.com)
   * Add unregister event in mod_sofia
   * Enhance python configure detection
   * Add vm_boxcount api func
   * Fixed att_xfer issue
   * Fix sip now includes the Allow-Events header in more places

 -- Michael Jerris <mike@jerris.com>  Tue, 13 May 2008 02:01:00 -0400

freeswitch (1.0~rc5-1) unstable; urgency=low

   * Changed internal state names to avoid confusion
     Fixed video negotiation
     Enhanced accuracy of windows timer
     Fixed mod_ldap build
     Added dialplan and context to sql table for channels
     Multiple fixes to mod_lua and mod_perl
     Fixed logic bug in fifo causing segfault
     internal changes to sip stack so we can remove a hash redundant to the stack
     Fixed multiple memory leaks in mod_sofia
     Fixed event fetch segfault on sip subscribe
     Fixed segfault on timer rollover in sofia on 64bit
     Fixed audio timing issues in mod_portaudio
     Changed names of sip profiles in default config to avoid confusion
     Fixed memory usage leak-like behavior when playing files requiring resampling
     Removed some unused api's
     Fix rtp timeout when playing moh
     Removed some un-needed libraries and files from tree
     Fixed multiple issues in sip stack including multiple segfaults
     Added support for sip transfers on bypass_media and proxy_media calls
     Added say application
     Fixed --disable-debug configure option
     Enhanced switch_cpp wrapper (and perl, python, lua, java)
     Fixed segfault on inavalid stun response
     Fixed configure help output
     Fixed segfault on mp3 playback
     Fixed assert on invalid sdp (missing m= line)
     Added configurable windows service name
     Fixed proxy mode call transition to non proxy call
     Fixed solaris build of voipcodecs
     Fixed sofia seg when call failure edge case

 -- Michael Jerris <mike@jerris.com>  Tue, 13 May 2008 02:01:00 -0400

freeswitch (1.0~8327) unstable; urgency=low

  * Adding perl and lua separate packages
  * Adding mod_voipcodecs

 -- root <root@fs.navynet.it>  Tue,  6 May 2008 09:46:26 +0000

freeswitch (1.0~rc4-1) unstable; urgency=low
   * Add tab completion in cli
     Add "inline" dialplan
     Fixed segfault in enum
     Enhance enum to fork dial equal priority entries
     Added auto-reload to enum
     Fixed odbc bug is mod_sofia presence handling
     Add presence for conference and dial an eavesdrop
     Fix stack overflow segfault when recursively parking calls
     Fixed race is sofia registration handling
     Enhance sofia registration, unregister on keep-alive OPTIONS failure
     Added internal routing loop detection/avoidance
     Fixed race in bgapi in event socket
     Fixed vars to execute apps before bridge "bridge_pre_execute_aleg_app" and "bridge_pre_execute_bleg_app"
     Fixed re-setting sound prefix to no prefix after a pharse
     Enhanced setting of bracket vars from originate so they show in the CHANNEL_ORIGINATE event
     Add "enable-timer" and "enable-100rel" options to turn off default behaviors in sofia
     Add originate_timeout to originate vars
     Fixed hanging channels in mod_portaudio
     Added auto time sync on vps migration to different hardware
     Fixed seg on transfer when both legs are not sip
     Added configurable dtmf duration defaults
     Enhanced voicemail, allow interruption of hello message
     Fixed voicemail to not light up light on saved messages
     Enhance mod_amr honor disable dtx in fmtp (MODCODEC-3)
     Fixed bootstrap to install automake dependencies so you can use tarball without same version of automake installed
     Fixed MODLANG-56 (bad audio on originate and javascript streamFile)
     Added hold/unhold dialplan apps
     Enhanced sofia error checking to outlaw 0.0.0.0 in sofia ip params
     Backport fixes from sofia-sip tree
     Fixed MSVC build
     Fixed segfault on sip SUBSCRIBE with Expires: 0
     Added mod_say_zh

